import React from "react";
import { EventStatus, MatrixEvent } from "matrix-js-sdk/src/matrix";
import MatrixClientContext from "../../../contexts/MatrixClientContext";
interface IProps {
    mxEvent: MatrixEvent;
    previousEdit?: MatrixEvent;
    isBaseEvent?: boolean;
    isTwelveHour?: boolean;
}
interface IState {
    canRedact: boolean;
    sendStatus: EventStatus | null;
}
export default class EditHistoryMessage extends React.PureComponent<IProps, IState> {
    static contextType: React.Context<import("matrix-js-sdk/src/client").MatrixClient>;
    context: React.ContextType<typeof MatrixClientContext>;
    private content;
    private pills;
    private tooltips;
    constructor(props: IProps, context: React.ContextType<typeof MatrixClientContext>);
    private onAssociatedStatusChanged;
    private onRedactClick;
    private onViewSourceClick;
    private pillifyLinks;
    private tooltipifyLinks;
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(): void;
    private renderActionBar;
    render(): React.ReactNode;
}
export {};
